#include <algorithm>
#include <cmath>
#include <complex>
#include <vector>
#include "numpy_helper.h"

using std::complex;
using std::vector;

mat gen_ula_scanning_vectors(vector<double>& array_alignment, vector<double>& thetas);

array DOA_MUSIC(mat& R, mat& scanning_vectors, int signal_dimension, int angle_resolution=1);

vector<double> target_DOA_estimation(vector<mat>& rd_maps, vector<std::pair<int,int>>& hit_list, vector<double>& array_alignment);

